<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Query Helper Methods</h1>

		<p>These are simple methods that may help you with your SQL queries.</p>
	</div>

	<div class="content">
		<h1>$this->db->insert_id()</h1>

		<p>This method returns the ID number associated with the insert query performed.</p>
	</div>

	<div class="content">
		<h1>$this->db->affected_rows()</h1>

		<p>This method returns the number of affected rows when performing a 'write' type query.</p>

		<p><i>Note</i>: in MySQL a 'DELETE FROM TABLE' query returns 0 affected rows.  There is a hack written into
		CarbonPHP that allows it to return the correct number of affected rows.</p>
	</div>

	<div class="content">
		<h1>$this->db->count_all()</h1>

		<p>This method returns the number of rows in the specified table.</p>

		<div class="example">
			echo $this->db->count_all('blog_posts');
		</div>
	</div>

	<div class="content">
		<h1>$this->db->platform()</h1>

		<p>This method outputs the database driver that you are using.</p>
	</div>

	<div class="content">
		<h1>$this->db->version()</h1>

		<p>This method outputs the database version you are using.</p>
	</div>

	<div class="content">
		<h1>$this->db->last_query()</h1>

		<p>This method returns the last query run as a string, not a result.</p>

		<div class="example">
			$string = $this->db->last_query();<br />
			<br />
			// Produces: 'SELECT * FROM `some_table`'
		</div>
	</div>

	<div class="content">
		<h1>$this->db->insert_string()</h1>

		<p>This method simplifies the process of inserting data into the database.  It returns a correctly formatted
		string containing the database query.</p>

		<div class="example">
			$data = array('name' => $name, 'size' => $size, 'url' => $url);<br />
			<br />
			$string = $this->db->insert_string('table_name', $data);
		</div>

		<p>The first parameter is the table name, and the second parameter is an array with the data to be inserted.</p>

		<div class="example">
			INSERT INTO `table_name` (name, size, url) VALUES ('shirt', 'large', 'www.your-domain.com/shirt/3')
		</div>
	</div>

	<div class="content">
		<h1>$this->db->update_string()</h1>

		<p>This method simplifies the process of writing database update queries.  It returns a correctly formatted
		string containing the database query.</p>

		<div class="example">
			$data = array('name' => $name, 'size' => $size, 'url' => $url);<br />
			<br />
			$where = 'product_id = 1 AND status = "outofstock"';<br />
			<br />
			$string = $this->db->update_string('table_name', $data, $where);
		</div>

		<p>This first parameter is the name of the table, the second parameter is an array of data to be inserted into
		the database, and the third parameter is the where clause.</p>

		<div class="example">
			UPDATE table_name SET name = 'shirt', size = 'medium', url = 'www.your-domain.com/shirt/4' WHERE
			product_id = 1 AND status = 'outofstock'
		</div>
	</div>
</body>

</html>
